export default [
  {
    path: '/home',
    meta: { title: '统计数据', icon: 'ali-icon-tongji' },
  },
  {
    meta: { title: '题目管理', icon: 'ali-icon-lunwentimu' },
    path: '/examQuestionManagement',
    children: [
      {
        path: '/examQuestionManagement/list',
        meta: { title: '题目列表' },
      },
      {
        meta: { title: '新建题目' },
        path: '/examQuestionManagement/create',
        children: [
          {
            path: '/examQuestionManagement/create/singleChoice',
            meta: { title: '单选题' },
          },
          {
            path: '/examQuestionManagement/create/multipleChoice',
            meta: { title: '多选题' },
          },
          {
            path: '/examQuestionManagement/create/trueOrFalse',
            meta: { title: '判断题' },
          },
          {
            path: '/examQuestionManagement/create/gapFilling',
            meta: { title: '填空题' },
          },
        ],
      },
    ],
  },
  {
    meta: { title: '考试管理', icon: 'ali-icon-bianji' },
    path: '/examManagement',
    children: [
      {
        path: '/examManagement/list',
        meta: { title: '考试列表' },
      },
      {
        path: '/examManagement/detail',
        meta: { title: '考试详情' },
      },
      {
        meta: { title: '新建考试' },
        path: '/examManagement/create',
        children: [
          {
            path: '/examManagement/manualVolumeFormation',
            meta: { title: '手动组卷' },
          },
          {
            path: '/examManagement/automaticVolumeFormation',
            meta: { title: '自动组卷' },
          },
        ],
      },
    ],
  },
  {
    meta: { title: '文章管理', icon: 'ali-icon-wenzhangfenlei' },
    path: '/articleManagement',
    children: [
      {
        path: '/articleManagement/list',
        meta: { title: '文章列表' },
      },
      {
        path: '/articleManagement/create',
        meta: { title: '新建文章' },
      }
    ],
  },
];
